org.apache.ode.bpel.dd

## Interface TCleanup.On

- All Superinterfaces:
    org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TCleanupImpl.OnImpl
  Enclosing interface:
    TCleanup

      public static interface TCleanup.On
      extends org.apache.xmlbeans.XmlString

  An XML on(@). This is an atomic type that is a restriction of org.apache.ode.bpel.dd.TCleanup$On.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TCleanup.On.Enum` Enumeration value class for org.apache.ode.bpel.dd.TCleanup$On.
    `static class` | `TCleanup.On.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TCleanup.On.Enum` | `ALWAYS`
    `static TCleanup.On.Enum` | `FAILURE`
    `static int` | `INT_ALWAYS`
    `static int` | `INT_FAILURE`
    `static int` | `INT_SUCCESS`
    `static TCleanup.On.Enum` | `SUCCESS`
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.StringEnumAbstractBase` | `enumValue()`
    `void` | `set(org.apache.xmlbeans.StringEnumAbstractBase e)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

    - #### SUCCESS

          static final TCleanup.On.Enum SUCCESS

    - #### FAILURE

          static final TCleanup.On.Enum FAILURE

    - #### ALWAYS

          static final TCleanup.On.Enum ALWAYS

    - #### INT_SUCCESS

          static final int INT_SUCCESS

      See Also:
        Constant Field Values

    - #### INT_FAILURE

          static final int INT_FAILURE

      See Also:
        Constant Field Values

    - #### INT_ALWAYS

          static final int INT_ALWAYS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### enumValue

          org.apache.xmlbeans.StringEnumAbstractBase enumValue()

    - #### set

          void set(org.apache.xmlbeans.StringEnumAbstractBase e)